Want to help us build an amazing library to help tell map based stories? Here is how you can get started.

## Library feedback

The library is intentionally easy to start using. Take one of our examples and start testing it right away. We'd love to hear your feedback regarding features and API methods.

## Tickets 

As always, if you find issues or have feature requests, feel free to create new tickets on the repo. We can all use the tickets as a growing document of all the things we have seen and done. Use it to first search for existing issues reported by other users and add your own when you can't find them. 

We will report back when a bug is fixed, if you can, it is greatly appreciated if you can test and report back that it is fixed for your use-cases. 

## New examples

New examples are a great help to the community. If you have simple to complex examples that are well documented, we would love to add them to the repo. You can either fork, add, and [submit a pull request](https://help.github.com/articles/using-pull-requests) for those changes right here on GitHub or you can attach new examples as tickets to be addressed. 

## Code development

If you are ready to jump in and start contributing code to the project, that would be fantastic. We ask that you do these three things,

* Work on a new branch with a unique and informative name
* Include meaningful and thorough commit messages
* Run any tests and ensure that no Examples are broken by your changes
* Provide a thorough description of the changes you make in your Pull requests

We look forward to working with you. 

